* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the birth history data file.
get file = 'bh.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

select if bh4y >= 2005.

compute tot1 = 1.
value labels tot1 1 " " .
variable label tot1 "Total" .

compute total = 1.
variable labels total "Total" .

ctables
 /table tot1 [c] + team [c]  by 
    bh4y [c] [count,'',f7.0] + total [s] [count,'',f7.0]
 /categories var=all empty=exclude missing=exclude
 /slabels position=column visible = no
 /titles title = 
   "F13A. Birth histories: Birth displacement"
   "Number of births since [2005] by year of birth in birth histories, according to interviewer team, " + surveyname.
new file.		

erase file = "tmp.sav".		
