* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.

sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the under 5 data file.
get file = 'ch.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

* Give value 1 to each hh interviewed to calculate total no of interviewed HHs.
recode UF9 (1 = 100) (else = 0) into complete.

compute nh = 1.
variable labels nh "".
value labels nh 1 "Number of children".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

* Ctables command in English (currently active, comment it out if using different language).
ctables
 /vlabels variables=total nh display=none
 /table  total [c] + team [c]  by
          uf9 [c][rowpct.validn,f5.1] + nh [c]
 /slabels visible = no
 /categories var = uf9 total = yes
 /categories var=all empty=exclude missing=exclude
 /title title=  "F3C: Eligible children response rate" 							
                  "Percent distribution of eligible children under the age of 5 years by result of individual interview with mother/caretaker, according to interviewer team, " +surveyname.					

new file.		

erase file = "tmp.sav".		
