* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the man data file.
get file = 'mn.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

select if (MWM7 = 1).

compute total=1.
variable labels total "Number of men age 15-49".

compute tot1 = 1.
value labels tot1 1 " " .
variable labels tot1 " Total" .

compute esex=0.
if (MSB1 > 0 and MSB1 < 97) esex=100.
variable labels esex "Ever had sex".

compute eaids=0.
if (MHA1=1) eaids=100.
variable labels eaids "Ever heard of AIDS".
	
compute layer = 1.
value labels layer 1 "Percentage of men who have:".
variable labels layer " ".

ctables
 /vlabels variables = layer 
         display = none
 /table tot1 [c]  + team [c] by 
	esex [s] [mean,'',f5.1] +
   	eaids [s] [mean,'',f5.1] +
	total [s] [sum,'',f7.0]
 /categories var=all empty=exclude missing=exclude
 /slabels position=column visible = no
 /titles title = 
   "F8M. Question responses by team: Men's questionnaire"
   "Percentage of certain responses to key questions in the men's questionnaires, according to interviewer team " + surveyname.
			
new file.		

erase file = "tmp.sav".		

