﻿PROC GLOBAL
{*****************************************************************************}
{                                                                             }
{  Step 1:   Age at death distribution for siblings whose year of death/      }
{            years since death were not stated                                }
{                                                                             }
{*****************************************************************************}

  set explicit;

  numeric i;

PROC MICS4_FF

PROC WMMNCH

  { MM6, Sibling alive, Y/N           }
  { MM8, Years since death of sibling }
  { MM9, Age at death of sibling      }
  { MM10, Died while pregnant         }

  for i in MODMM_EDT do
     freq include( MM8, MM9, MM10 )
       title( "Country - Maternal Mortality for all sibilings" );
  enddo;

  for i in MODMM_EDT do
    if MM6 = 2 & MM8 in 97:99,missing & MM9 in 0:96 then
      freq include( MM8, MM9, MM10 )
        title( "Country - Years since death not given but age at death given",
               "Cumulative frequency for variable MM09 needs to be copied to imputation program" );
    endif;
  enddo;


